#pragma once

#include <cstdint>
#include <cstring>
#include <cstddef>

class FilterFIRCrude
{
public:
    FilterFIRCrude(const float* coeffs, size_t numTaps);
    float process(float input);

private:
    const float* _coeffs;
    size_t _histsize;
    float* _history;
    size_t _index;
};

